aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorDaniel Kahn Gillmor <dkg@fifthhorseman.net>2020-04-28 14:57:09 -0400
committerDavid Bremner <david@tethera.net>2020-04-30 17:53:34 -0300
commit055e0917d73619bb78c6ed9a6068422f40967dcd (patch)
tree3df93a8d25e2d97086799111cc4e6664109219f0 /test
parentad9c2e91a012920bebfe70bc472d44678abc3259 (diff)
tests: move add_gpgsm_home to test-lib.sh
This allows us to test S/MIME messages in other tests. Signed-off-by: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Diffstat (limited to 'test')
-rwxr-xr-xtest/T355-smime.sh13
-rw-r--r--test/test-lib.sh13
2 files changed, 13 insertions, 13 deletions
diff --git a/test/T355-smime.sh b/test/T355-smime.sh
index 11a4d6cd..84be515a 100755
--- a/test/T355-smime.sh
+++ b/test/T355-smime.sh
@@ -3,19 +3,6 @@
test_description='S/MIME signature verification and decryption'
. $(dirname "$0")/test-lib.sh || exit 1
-add_gpgsm_home ()
-{
- local fpr
- [ -d ${GNUPGHOME} ] && return
- _gnupg_exit () { gpgconf --kill all 2>/dev/null || true; }
- at_exit_function _gnupg_exit
- mkdir -m 0700 "$GNUPGHOME"
- gpgsm --no-tty --no-common-certs-import --disable-dirmngr --import < $NOTMUCH_SRCDIR/test/smime/test.crt >"$GNUPGHOME"/import.log 2>&1
- fpr=$(gpgsm --list-key test_suite@notmuchmail.org | sed -n 's/.*fingerprint: //p')
- echo "$fpr S relax" >> $GNUPGHOME/trustlist.txt
- test_debug "cat $GNUPGHOME/import.log"
-}
-
test_require_external_prereq openssl
test_require_external_prereq gpgsm
diff --git a/test/test-lib.sh b/test/test-lib.sh
index 7f8a3a4d..6a62b5c1 100644
--- a/test/test-lib.sh
+++ b/test/test-lib.sh
@@ -129,6 +129,19 @@ add_gnupg_home ()
printf '%s:6:\n' "$FINGERPRINT" | gpg --quiet --batch --no-tty --import-ownertrust
}
+add_gpgsm_home ()
+{
+ local fpr
+ [ -d ${GNUPGHOME} ] && return
+ _gnupg_exit () { gpgconf --kill all 2>/dev/null || true; }
+ at_exit_function _gnupg_exit
+ mkdir -m 0700 "$GNUPGHOME"
+ gpgsm --no-tty --no-common-certs-import --disable-dirmngr --import < $NOTMUCH_SRCDIR/test/smime/test.crt >"$GNUPGHOME"/import.log 2>&1
+ fpr=$(gpgsm --list-key test_suite@notmuchmail.org | sed -n 's/.*fingerprint: //p')
+ echo "$fpr S relax" >> $GNUPGHOME/trustlist.txt
+ test_debug "cat $GNUPGHOME/import.log"
+}
+
# Each test should start with something like this, after copyright notices:
#
# test_description='Description of this test...